package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.importExcel.excel.tempInfo.ParaLibraryExcel;
import com.ruoyi.common.importExcel.excel.tempInfo.ParaLibraryExportHelper;
import com.ruoyi.project.business.domain.TpAreaParaSelectItem;
import com.ruoyi.project.business.domain.TpElevatorModel;
import com.ruoyi.project.business.domain.TpParaLibrary;
import com.ruoyi.project.business.domain.vo.paramSelectItem.TpParaLibraryVo;

import java.util.List;

/**
 * 参数Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-23
 */
public interface TpParaLibraryMapper extends BaseMapper<TpParaLibrary> {
    /**
     * 查询参数
     *
     * @param id 参数主键
     * @return 参数
     */
    public TpParaLibrary selectTpParaLibraryById(Long id);
    /**
     * 查询参数列表
     *
     * @param tpParaLibrary 参数
     * @return 参数集合
     */
    public List<TpParaLibrary> selectTpParaLibraryList(TpParaLibrary tpParaLibrary);

    /**
     * 查询参数包的参数
     *
     * @param parabarId 参数包ID
     * @return 参数集合
     */
    public List<TpParaLibrary> selectTpParaLibraryByParabarId(Long parabarId);

    /**
     * 新增参数
     *
     * @param tpParaLibrary 参数
     * @return 结果
     */
    public int insertTpParaLibrary(TpParaLibrary tpParaLibrary);

    /**
     * 修改参数
     *
     * @param tpParaLibrary 参数
     * @return 结果
     */
    public int updateTpParaLibrary(TpParaLibrary tpParaLibrary);

    /**
     * 删除参数
     *
     * @param id 参数主键
     * @return 结果
     */
    public int deleteTpParaLibraryById(Long id);

    /**
     * 批量删除参数
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTpParaLibraryByIds(Long[] ids);
    public int deleteTpParaLibraryByIdsReal(Long[] ids);

    /**
     * 校验该参数是否正在使用
     *
     * @param id 参数id
     */
    public int checkParaChangeAllowed(Long id);

    public int InsertBySQL(List<TpParaLibrary> list);

    long getMaxSort();

    List<TpParaLibraryVo> selectTpParaLibraryWithItem(TpParaLibrary tpParaLibrary);

    List<ParaLibraryExportHelper> selectTpParaLibraryListExport(TpParaLibrary tpParaLibrary);
    List<ParaLibraryExportHelper> selectModelExport(TpAreaParaSelectItem tpAreaParaSelectItem);

    List<ParaLibraryExcel> selectTpParaLibraryListExport2(TpParaLibrary tpParaLibrary);
    List<ParaLibraryExcel> selectModelExport2(TpAreaParaSelectItem tpAreaParaSelectItem);
}
